Loading ...
Sorry, an error occurred while loading the content.

use strict problem with XML::Parser

Expand Messages
  • tomkee2002 <tomkee2002@yahoo.com>
    I m seeing an error in my SOAP logs regarding XML/Parser/Expat.pm at line 456. I m using Perl 5.6.1 on a stock RedHat 7.3 box, with XML::Parser 2.31 and
    Message 1 of 1 , Dec 11, 2002
    View Source
    • 0 Attachment
      I'm seeing an error in my SOAP logs regarding XML/Parser/Expat.pm at
      line 456.

      I'm using Perl 5.6.1 on a stock RedHat 7.3 box, with XML::Parser 2.31
      and SOAP::Lite
      0.55.

      Here's the error:

      Can't use string ("<?xml version="1.0" encoding="UT") as a symbol ref
      while "strict
      refs" in use at
      /usr/lib/perl5/site_perl/5.6.1/i386-linux/XML/Parser/Expat.pm line 456.

      Not doing anything special with the SOAP client -- just defining URI
      and PROXY and
      calling my service.

      Have you ever seen this error?

      Adding no strict refs seems to fix it.

      Line: 456
      eval {
      no strict 'refs';
      $ioref = *{$arg}{IO};
      };

      Your thoughts?
    Your message has been successfully submitted and would be delivered to recipients shortly.